function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { useSetState } from 'ahooks';
import dayjs from 'dayjs';
import React from 'react';
import { VmBarCharts, VmPieCharts, VmWrapper } from "../../../../_components";
import { JzljService } from "../../../api";
import { CarContext } from "../../../index";
import Bottom from "./Bottom";
import "./index.less";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
export default function Alarm() {
  var _React$useContext = React.useContext(CarContext),
    id = _React$useContext.id,
    setIframeModalInfo = _React$useContext.setIframeModalInfo;
  var alarmTypeList = [{
    text: '停车超时',
    value: 'parkingTimeout'
  }, {
    text: '路线偏移',
    value: 'routeDeviation'
  }];
  var _useSetState = useSetState({
      alarmType: 'all',
      startDate: dayjs().subtract(6, 'day'),
      endDate: dayjs()
    }),
    _useSetState2 = _slicedToArray(_useSetState, 2),
    state = _useSetState2[0],
    setState = _useSetState2[1];
  var alarmType = state.alarmType,
    startDate = state.startDate,
    endDate = state.endDate;
  var _JzljService$useAlarm = JzljService.useAlarmSummary({
      carId: id,
      startDate: startDate.format('YYYY-MM-DD'),
      endDate: endDate.format('YYYY-MM-DD')
    }),
    _JzljService$useAlarm2 = _JzljService$useAlarm.alarmSummaryData,
    alarmSummaryData = _JzljService$useAlarm2 === void 0 ? [] : _JzljService$useAlarm2;
  var _JzljService$useAlarm3 = JzljService.useAlarmTrend({
      id: id,
      startDate: startDate.format('YYYY-MM-DD'),
      endDate: endDate.format('YYYY-MM-DD')
    }),
    _JzljService$useAlarm4 = _JzljService$useAlarm3.alarmTrendData,
    alarmTrendData = _JzljService$useAlarm4 === void 0 ? [] : _JzljService$useAlarm4;
  var bottomProps = {
    id: id,
    alarmTypeList: alarmTypeList,
    alarmType: alarmType,
    startDate: startDate,
    endDate: endDate,
    setIframeModalInfo: setIframeModalInfo
  };
  return /*#__PURE__*/_jsxs("div", {
    className: "jzlj-car-alarm",
    children: [/*#__PURE__*/_jsx("div", {
      className: "jzlj-car-alarm-top",
      children: /*#__PURE__*/_jsx(VmWrapper, {
        title: "",
        showContent: false,
        headerStyle: {
          height: '100%',
          padding: 0,
          borderBottom: 'unset'
        },
        extraStyle: {
          top: '50%',
          transform: 'translateY(-50%)'
        },
        filterType: "rangePicker",
        dateValue: [startDate, endDate],
        filterChange: function filterChange(e) {
          setState({
            startDate: e === null || e === void 0 ? void 0 : e[0],
            endDate: e === null || e === void 0 ? void 0 : e[1]
          });
        }
      })
    }), /*#__PURE__*/_jsx("div", {
      className: "jzlj-car-alarm-middle",
      children: /*#__PURE__*/_jsx(VmWrapper, {
        title: "\u62A5\u8B66\u6C47\u603B\u5206\u6790",
        children: /*#__PURE__*/_jsxs("div", {
          className: "jzlj-car-alarm-middle-main",
          children: [/*#__PURE__*/_jsx("div", {
            className: "jzlj-car-alarm-middle-main-left",
            children: /*#__PURE__*/_jsx(VmPieCharts, {
              dataList: ((alarmSummaryData === null || alarmSummaryData === void 0 ? void 0 : alarmSummaryData.dataList) || []).map(function (item) {
                return _objectSpread(_objectSpread({}, item), {}, {
                  name: item.alarmTypeName,
                  value: item.count
                });
              }),
              name: "\u62A5\u8B66\u6B21\u6570",
              title: "\u62A5\u8B66\u603B\u6B21\u6570",
              total: (alarmSummaryData === null || alarmSummaryData === void 0 ? void 0 : alarmSummaryData.totalCount) || 0,
              unit: "\u6B21",
              innerRadius: ['60%', '80%'],
              outerRadius: ['80%', '90%'],
              spaceLength: 0,
              center: ['23%', 'center']
            })
          }), /*#__PURE__*/_jsx("div", {
            className: "jzlj-car-alarm-middle-main-right",
            children: /*#__PURE__*/_jsx(VmBarCharts, {
              dataList: [{
                name: '联单数量',
                data: alarmTrendData.map(function (item) {
                  return "\u2001".concat(item.orderCount);
                }),
                color: 'geekblue',
                yAxisIndex: 1
              }],
              xAxis: alarmTrendData.map(function (item) {
                return item.date;
              }),
              yAxisList: [{
                key: "\u2000",
                unit: '次',
                name: '(次)'
              }, {
                key: "\u2001",
                unit: '个',
                name: '(个)'
              }],
              lineList: [{
                name: '预警数量',
                data: alarmTrendData.map(function (item) {
                  return "\u2000".concat(item.alarmCount);
                }),
                color: '#0FB964',
                yAxisIndex: 0
              }]
            })
          })]
        })
      })
    }), /*#__PURE__*/_jsx("div", {
      className: "jzlj-car-alarm-bottom",
      children: /*#__PURE__*/_jsx(Bottom, _objectSpread({}, bottomProps))
    })]
  });
}